Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.pages
Class CommitLogPageMaker

    java.lang.Object
      net.sf.statcvs.pages.CommitLogPageMaker

    public class CommitLogPageMaker

extends java.lang.Object

Constructor Summary
`CommitLogPageMaker(ReportConfig config, int year, int month, java.util.Collection commits, boolean firstLogPage)` Creates a new LogPageMaker.

Method Summary
`static java.lang.String` | `getAnchor(SymbolicName tag)`
`static java.lang.String` | `getURL(java.util.Date date)`
`NavigationNode` | `toFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommitLogPageMaker

    public CommitLogPageMaker(ReportConfig config,
                              int year,
                              int month,
                              java.util.Collection commits,
                              boolean firstLogPage)

  Creates a new LogPageMaker.

  Parameters:
    `year` - The log page's year
    `month` - The log page's month (0 for January)
    `commits` - A list of commits; those not in the right month will be ignored
    `outputFormat` -

Method Detail

### getAnchor

    public static java.lang.String getAnchor(SymbolicName tag)

### getURL

    public static java.lang.String getURL(java.util.Date date)

### toFile

    public NavigationNode toFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD